HotStreakSoundOptionsDefaults = {
	["Version"] = 1.2;
	["SoundFiles"] = {
		"Sound\\Doodad\\BellTollAlliance.wav",
		"Sound\\Doodad\\BellTollHorde.wav",
		"Sound\\Doodad\\BellTollNightElf.wav",
	};
	["SoundFile"] = 1;
}

--Code by Grayhoof (SCT)
function CloneTable(t)				-- return a copy of the table t
	local new = {};					-- create a new table
	local i, v = next(t, nil);		-- i is an index of t, v = t[i]
	while i do
		if type(v)=="table" then 
			v=CloneTable(v);
		end 
		new[i] = v;
		i, v = next(t, i);			-- get next index
	end
	return new;
end

HotStreakSoundOptions = CloneTable(HotStreakSoundOptionsDefaults);

local function Reset_Dropdowns()
	HotStreakSoundOptions = CloneTable(HotStreakSoundOptionsDefaults);
end

function HotStreakSoundOptions_Listen()
	PlaySoundFile(HotStreakSoundOptions.SoundFiles[HotStreakSoundOptions.SoundFile]);
end

function HotStreakSoundOptions_Reset()
	HotStreakSoundOptions_Init();
	Reset_Dropdowns();
end

function HotStreakSoundOptions_OnLoad(panel)
	panel.name = "Hot Streak Sound";
	panel.default = HotStreakSoundOptions_Reset;
	InterfaceOptions_AddCategory(panel);
end

function HotStreakSoundOptions_Init()
	HotStreakSoundOptionsFrameDropDownCats_OnShow();
end

function HotStreakSoundOptionsFrameDropDownCats_Initialize()

	local i;
	for i = 1, getn(HotStreakSoundOptions.SoundFiles), 1 do
		info = {
			text = HotStreakSoundOptions.SoundFiles[i];
			func = HotStreakSoundOptionsFrameDropDownCats_OnClick;
		};
		UIDropDownMenu_AddButton(info);
		i = i + 1;
	end
	
end

function HotStreakSoundOptionsFrameDropDownCats_OnShow()
	UIDropDownMenu_Initialize(HotStreakSoundOptionsFrameDropDownCats, HotStreakSoundOptionsFrameDropDownCats_Initialize);
	UIDropDownMenu_SetSelectedID(HotStreakSoundOptionsFrameDropDownCats, HotStreakSoundOptions.SoundFile);
	UIDropDownMenu_SetWidth(HotStreakSoundOptionsFrameDropDownCats, 256);
end

function HotStreakSoundOptionsFrameDropDownCats_OnClick()
	local thisID = this:GetID();
--        DEFAULT_CHAT_FRAME:AddMessage("setting to:"..thisID)
	UIDropDownMenu_SetSelectedID(HotStreakSoundOptionsFrameDropDownCats, thisID);
	HotStreakSoundOptions.SoundFile = thisID;
end

